<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Users</title>
</head>

<body>
    <h1>List of users:</h1>
    <button>
        <a href="/user/register">
            Add new user
        </a>
    </button>
    <button>
        <a href="/">
            Return to main page
        </a>
    </button>
    <br>
    <br>
    <table>
        <tr>
            <th>
                ID
            </th>
            <th>
                Username
            </th>
            <th>
                Biodata
            </th>
            <th>
                History
            </th>
            <th>
                Actions
            </th>
        </tr>
        <% users.forEach(i=> { %>
            <tr>
                <td>
                    <%= i.id %>
                </td>
                <td>
                    <%= i.user_name %>
                </td>
                <td>
                    <button>
                        <a href="/user/<%= i.id %>/biodata">View Biodata</a>
                    </button>
                </td>
                <td>
                    <button>
                        <a href="/user/<%= i.id %>/history">View History</a>
                    </button>
                </td>
                <td>
                    <form method="POST" action="/api/user/delete/<%= i.id %>">
                        <button type="submit">
                            Delete
                        </button>
                    </form>
                </td>
            </tr>
            <% }) %>
    </table>
</body>

</html>